/* Header "pglos.h" for pglos Application */

#include "collection.h"

typedef int BOOL;

#ifndef TRUE
#  define TRUE -1
#endif
#ifndef FALSE
#  define FALSE 0
#endif

#define CONFIG_NAME ".pglos.conf"
#define BUF_SIZE	2048*5
#define HashLenght 5

#define SKIP_SPACE( p ) { while( *(p) == ' ' || *(p) == '\t' ) (p)++ ; }
#define SKIP_ENDSPACE( p ) { while( p[strlen(p)-1] == ' ' || p[strlen(p)-1] == '\t' ) p[strlen(p)-1] = '\0'; }
#define CHOMP( p ) { if( p[strlen(p)-1] == '\n' ) p[strlen(p)-1] = '\0'; }

typedef long int offset_t;

typedef struct hash
{
	char *key;
	offset_t off;
} Hash_t;

typedef struct Glossary
{
	char name[64];
	ushort_t skip_line;
	char delimiter[10];
} GlossarySetting_t;

extern char curGlos[256];
extern char GlossaryPath[_MAX_PATH];
