#ifndef __COLLECTION_H__
#define __COLLECTION_H__

typedef struct CollectionSTRUCT
{
	unsigned long	*dataPtr;
	int	dataSize;
	int	maxDataSize;
	int	delta;
} Collection;

int InitCollection( Collection *mq, int _dataSize, int _delta );
int AddItem( Collection *mq, void *ptr );
int InsertItem( Collection *mq, int i, void * ptr );
int RemoveItembyAddress( Collection *mq, void *ptr );
int RemoveItembyIndex( Collection *mq, int i );
int RemoveAllItems( Collection *mq );
int DeleteItembyAddress( Collection *mq, void *ptr );
int DeleteItemIndex( Collection *mq, int i );
int DeleteAllItems( Collection *mq );
void *GetItembyIndex( Collection *mq, int i );
void *GetLastItem( Collection *mq );
void *GetFirstItem( Collection *mq );
int GetIndexbyItem( Collection *mq, void *ptr );
void ChangeItemsPlace( Collection *mq, int i, int j );

#endif // __COLLECTION_H__

